#define _GNU_SOURCE
#include <sched.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <signal.h>

static int final = 0;                            // признак завершения процесса, потока
static void handler( int signo ) { final = 1; };

static void one_cycle( void ) {                  // единичный цикл активной работы
   int i, n = 0;
   for( i = 0; i < 5000; i++ )
      n = ( n + 37 ) % 31;
}

static int debug = 0,
           PAUSE = 2;                            // время выполнения в сек. (-t xx)

uint ncpu( void ) {                              // число процессоров в SMP
   cpu_set_t mask;
   sched_getaffinity( 0, sizeof( cpu_set_t ), &mask ); 
   return CPU_COUNT( &mask );
}
