#ifndef _COMMON_H
#define _COMMON_H

#include <errno.h>
#include <stdlib.h>
#include <sys/time.h>
#include <inttypes.h>
#include <unistd.h>
#include <stdio.h>
#include <sys/types.h>
#include <string.h>
#include <stdint.h>
#include <iostream>
#include <list>

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
}
#endif

using namespace std;

typedef long element;

inline element erand( unsigned long n ) { return (element)( ( n * rand() ) / RAND_MAX ); };
inline bool wrand( double p ) { return (double)rand() / (double)RAND_MAX < p; };

static ulong n = 1000;                    // число обращений к базе данных
static double p = .1;                     // частота операций записи в базу данных

inline void params( int argc, char *argv[] ) {
   if( argc > 1 && atoll( argv[ 1 ] ) != 0 ) n = atoll( argv[ 1 ] );
   if( argc > 2 && atof( argv[ 2 ] ) != 0 ) p = atof( argv[ 2 ] );
}

#endif
