#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

#define NUMB 3

int main( int argc, char *argv[] ) {
   int i, m = 2,             // время выполнения задачи, сек.
       z = 1;                // время жизни потомка, сек.
   if( argc > 1 ) m = atoi( argv[ 1 ] );
   if( argc > 2 ) z = atoi( argv[ 2 ] );
   for( i = 0; i < NUMB; i++ ) {
      pid_t pid = fork();    // процесс ещё раз разветвился
      if( 0 == pid ) {
         sleep( z );
         printf( "zombie %d with PID=%d was finished\n", i + 1, getpid() );
         return EXIT_SUCCESS;      
      }
   } 
   sleep( m );
   printf( "parent with PID=%d was finished\n", getpid() );
   return EXIT_SUCCESS;
};
