#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/wait.h>

int main( int argc, char *argv[] ) {
   unsigned long n = 1;
   pid_t pid;
   printf( "wait ... " ); fflush( stdout );
   while( ( pid = fork() ) >= 0 ) {
      n++;              // накопленное n копируется в дочерний процесс
      if( pid > 0 ) {   // новый процесс создаёт только потомок
         waitpid( pid, NULL, 0 );
         exit( EXIT_SUCCESS );
      };
   };
   printf( "\rexit with processes number: %lu\n", n );
   if( pid < 0 ) perror( NULL );
   return 0;
};

