#include <stdlib.h>
#include <stdio.h>
#include <inttypes.h>
#include <unistd.h>
#include <sys/wait.h>
#include "libdiag.h"

unsigned long long tim;

//#define data_size 1
#define data_size 10
#define KB        1024
#define data_byte KB*KB*data_size
static struct mbyte {
#pragma pack( 1 )
   uint8_t array[ data_byte ];
#pragma pack( 4 )
} data;

int main( int argc, char *argv[] ) {
   tim = rdtsc();
   pid_t pid = fork();
   if( pid == -1 ) perror( "fork" ), exit( EXIT_FAILURE );
   if( pid == 0 ) {
      tim = rdtsc() - tim;
      printf( "process create time : %llu\n", tim );
      if( argc > 1 ) {
         long i;
         tim = rdtsc();
         for( i = 0; i < data_byte; i += KB * 4 )
            data.array[ i ] = 0;
         tim = rdtsc() - tim;
         printf( "process write time : %llu\n", tim );
      }
      exit( EXIT_SUCCESS );
   }
   if( pid > 0 ) {
      int status;
      wait( &status );
   };
   exit( EXIT_SUCCESS );
};

