#include <iostream>
#include <iomanip>
#include <stdio.h>
#include <signal.h>
#include <unistd.h>
#include <pthread.h>
#include <time.h>

using namespace std;

static void handler( int signo, siginfo_t* info, void* context ) {
   cout << "sig=" << signo << "; tid=" << pthread_self() << endl;
};

sigset_t sig;

void* threadfunc ( void* data ) {
   sigprocmask( SIG_UNBLOCK, &sig, NULL );
   while( true ) {
      pause();
      sigprocmask( SIG_BLOCK, &sig, NULL );
   }
   return NULL;
};

int main() {
   const int thrnum = 3;
   sigemptyset( &sig );
   sigaddset( &sig, SIGRTMIN );
   sigprocmask( SIG_BLOCK, &sig, NULL );
   cout << "main + " << thrnum << " threads : waiting fot signal " << SIGRTMIN
        << "; pid=" << getpid() << "; tid(main)=" << pthread_self() << endl;
   struct sigaction act;
   act.sa_mask = sig;
   act.sa_sigaction = handler;
   act.sa_flags = SA_SIGINFO;
    if( sigaction( SIGRTMIN, &act, NULL ) < 0 ) perror( "set signal handler: " ); 
   pthread_t pthr;
   for( int i = 0; i < thrnum; i++ )
      pthread_create( &pthr, NULL, threadfunc, NULL );
   pause();
};

